/* Auteur: Nicolas JANEY          */
/* nicolas.janey@univ-fcomte.fr   */
/* Fevrier 2005                   */

public class ProduitScalaire {
  
  /* Fonction d'initialisation d'un tableau               */
  /* avec des valeurs tirees au hasard entre 0 et 9       */
  
  public static void initTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      t[i] =(int) (Math.random()*10);
  }
  
  /* Fonction d'affichage d'un tableau                    */
  
  public static void afficheTableau(int [] t) {
    int i;
    for ( i = 0 ; i < t.length ; i++ )
      System.out.print(t[i]+" ");
    System.out.println();
  }
  
  public static int produitScalaire(int [] t1,int [] t2) {
    int i = 0;
    int p = 0;
    for ( i = 0 ; i < t1.length ; i++ )
      p = p+t1[i]*t2[i];
    return(p);
  }
  
  /* Fonction principale                                  */

  public static void main(String [] args) {
    int [] t1 = new int[10];
    int [] t2 = new int[10];
    initTableau(t1);
    initTableau(t2);
    afficheTableau(t1);
    afficheTableau(t2);
    System.out.println("Produit scalaire : "+produitScalaire(t1,t2));
  }
}